* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background-color: #000;
    color: #fff;
    font-family: Arial, sans-serif;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: start;
    min-height: 100vh;
    padding-top: 20px;
}

header {
    position: absolute; /* Keep header overflowing to the top */
    top: 0;
    left: 0;
    right: 0;
    display: flex;
    align-items: center;
    height: 42px; /* Adjusted for visibility */
    background-color: #242527; /* New background color */
    padding: 0 15px;
    box-sizing: border-box;
}

header img {
    width: 20px; /* Fixed image size */
    height: 20px;
    margin: 0; /* Removed excess margin */
}

header .header-text {
    display: flex;
    flex-direction: column;
    margin-left: 10px; /* Space between the logo and text */
    justify-content: center; /* Vertically center the text */
}

header strong {
    font-size: 14px; /* Adjusted font size */
    margin-top: 24px;
}

header p {
    font-size: 12px;
    color: #888;
    margin-top: 1px; /* Slightly pushed text lower */
}

header button {
    margin-left: auto;
    padding: 6px 15px; /* Adjusted padding for better appearance */
    font-size: 12px; /* Increased font size */
    background-color: #0a84ff;
    color: #fff;
    border: none;
    border-radius: 20px;
    cursor: pointer;
}

a {
    text-decoration: none;
    color: white;
}

#content {
    width: 100%;
    max-width: 360px;
    margin-top: 70px;
    padding: 0 15px;
}

h1 {
    font-size: 17px;
    font-weight: bold;
    text-align: center;
    margin-bottom: 10px;
}

p {
    font-size: 14px;
    color: #bbb;
    text-align: center;
    margin-bottom: 20px;
}

#instructions {
    margin-top: 40px; /* Added margin between instructions and form */
    margin-bottom: 40px; /* Added margin between instructions and form */
}

#form {
    margin-bottom: 20px; /* Added margin between form and button */
}

#form input {
    width: 100%;
    height: 47px;
    padding: 12px; /* Increased padding for height */
    margin-bottom: 10px;
    border-radius: 5px;
    background-color: #1a1a1a;
    color: #41454b;
    border: none;
    font-size: 14px;
    margin-bottom: 25px;
}

button[type="submit"], .button-1 {
    width: 100%;
    padding: 12px; /* Increased padding for height */
    font-size: 16px;
    font-weight: bold;
    color: #fff;
    background-color: #002d4a;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

.loader {
    width: 30px;
    aspect-ratio: 1;
    display: grid;
    border-radius: 50%;
    background:
    linear-gradient(0deg ,rgb(0 0 0/50%) 30%,#0000 0 70%,rgb(0 0 0/100%) 0) 50%/8% 100%,
    linear-gradient(90deg,rgb(0 0 0/25%) 30%,#0000 0 70%,rgb(0 0 0/75% ) 0) 50%/100% 8%;
    background-repeat: no-repeat;
    animation: l23 1s infinite steps(12);
}
.loader::before,
.loader::after {
    content: "";
    grid-area: 1/1;
    border-radius: 50%;
    background: inherit;
    opacity: 0.915;
    transform: rotate(30deg);
}
.loader::after {
    opacity: 0.83;
    transform: rotate(60deg);
}
@keyframes l23 {
    100% {transform: rotate(1turn)}
}

.l2 {
    display: flex;
    justify-content: center;
    align-items: center;
}
